/*
    Copyright (C) 2012 Bartosz Broda, Jacek Bochenek, Łukasz Biłeńkij, 
    Damian Jaworski, Wojciech Mazur, Dominik Piasecki, Maciej Piasecki, 
    Radosław Ramocki
    
    This program is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the Free
Software Foundation; either version 3 of the License, or (at your option)
any later version.

    This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. 

    See the LICENSE and COPYING files for more details.
*/

#include "matrices_all.h"

int main()
{
	try
	{
		Matrices::init_logging();

		std::cout << "Matrices test.. does it work?\n";
		std::string matrix_name = "subst_adj_me_990";
		std::string matrix_dir = "/home/boban/pwr/workdir/rzeczowniki13tys/";
		std::vector<std::string> tokens;
		std::string test = "label;tf;nz;TF;entropy";
		boost::split(tokens, test, boost::is_any_of(";") );
		for(size_t i = 0; i < tokens.size(); i++)
			std::cout << i << ". " << tokens[i] << std::endl;
		//Matrices::IO::SuperMatrixReader reader(matrix_dir);
		//Matrices::SuperMatrix m(matrix_name, Matrices::SuperMatrix::CCS_AND_CRS);
		//reader.Read(m);
	}
	catch( std::exception &e)
	{
		std::cerr << "Exception: " << e.what() << std::endl;
	}
	catch( std::string &s)
	{
		std::cerr << "Exception (str): " << s << std::endl;
	}
	catch(int &i)
	{
		std::cerr << "INT: " << i << std::endl;
	}
	catch(...)
	{
		std::cerr << "Some unknown exception has occured\n";
	}
}

